Package Details: brave-dev-bin 1.15.56-1

Git Clone URL: https://aur.archlinux.org/brave-dev-bin.git (read-only, click to copy)
Package Base: brave-dev-bin
Description: Web browser that blocks ads and trackers by default (dev binary release).
Upstream URL: https://brave.com/download-dev
Licenses: custom
Conflicts: brave-bin, brave-dev-bin
Provides: brave-dev-bin, brave-dev-browser
Submitter: gregbunk
Maintainer: gregbunk
Last Packager: gregbunk
Votes: 9
Popularity: 0.040601
First Submitted: 2018-11-25 02:57
Last Updated: 2020-09-18 12:08

Dependencies (10)

Required by (0)

Sources (5)

Latest Comments

1 2 Next › Last »

gregbunk commented on 2020-08-19 09:01

The disabled HW acceleration is caused by missing ANGLE libraries, which are now required for HW acceleration on Linux. I have reported the missing libraries to the Brave team and I have temporarily added a step to pull those libraries from Chrome in order to re-enable HW acceleration.

trizen commented on 2020-08-18 23:54

There seems to be a minor issue in version 1.13.76, which automatically disables GPU acceleration:

$ brave-dev
[146731:146731:0819/024908.399783:ERROR:gl_implementation.cc(286)] Failed to load /usr/lib/brave-dev-bin/libGLESv2.so: /usr/lib/brave-dev-bin/libGLESv2.so: cannot open shared object file: No such file or directory
[142900:142900:0819/024733.217873:ERROR:viz_main_impl.cc(150)] Exiting GPU process due to errors during initialization
[142914:142914:0819/024733.317442:ERROR:gl_implementation.cc(286)] Failed to load /usr/lib/brave-dev-bin/swiftshader/libGLESv2.so: /usr/lib/brave-dev-bin/swiftshader/libGLESv2.so: cannot open shared object file: No such file or directory
[142914:142914:0819/024733.331699:ERROR:viz_main_impl.cc(150)] Exiting GPU process due to errors during initialization

Downgrading to version 1.13.73 fixes the issue. Just something to be aware of before upgrading.

gregbunk commented on 2020-08-04 18:52

Will reset pkgrel moving forward. Thanks.

micwoj92 commented on 2020-08-04 12:26

pkgrel should be set to 1 with version bumps.

df8oe commented on 2020-06-05 11:36

Error building 1.11.52-4: mv: der Aufruf von stat für '~/.cache/yay/brave-dev-bin/pkg/brave-dev-bin/usr/lib/brave-dev-bin/LICENSE' ist nicht möglich: Datei oder Verzeichnis nicht gefunden mv: der Aufruf von stat für '~/.cache/yay/brave-dev-bin/pkg/brave-dev-bin/usr/lib/brave-dev-bin/LICENSES.chromium.html' ist nicht möglich: Datei oder Verzeichnis nicht gefunden

0000000011111111 commented on 2020-06-02 10:18

Hi, thanks for maintaining. Is there any way the sandbox warning could be removed by default? I have to edit brave-dev-bin.sh manually every time to remove it. Thanks for your consideration.

wknapik commented on 2020-02-10 14:20

This package is set to conflict with itself and cannot be installed using pacaur:

% pacaur -S brave-dev-bin   
:: Package brave-dev-bin not found in repositories, trying AUR...
:: resolving dependencies...
:: unresolvable package conflicts detected
:: failed to prepare transaction (conflicting dependencies: brave-dev-bin)
%

Anonymous comment on 2020-01-03 17:02

gconf is an obsolete configuration database system. Brave does not have this dependency.

Smit_17 commented on 2019-06-08 07:52

One can install bave-bin and brave-dev-bin at the same time by just removing line 47 ln -s /usr/lib/PepperFlash "$pkgdir/usr/lib/pepperflashplugin-nonfree and removing brave-bin from conflicts

continuedbug commented on 2019-05-29 13:15

You should use explicitly #!/usr/bin/env bash instead of #!/usr/bin/env sh